
local E = {
    ID = "seige_cube",
    Base = "base",
    Name = "[FuzzyLeo] Small Seige Cube",
    Category = "Legacy Exteriors",
    Model = "models/FuzzyLeo/SeigeCube/Cube.mdl",
    Fallback = {
        pos = Vector(25,0,1),
        ang = Angle(0,0,0)
    },
    Mass=100,
    DoorAnimationTime = 0.5,
    PhaseMaterial = "models/FuzzyLeo/SeigeCube/phasemat.vmt",
    Parts = {
        door = {
            model = "models/FuzzyLeo/SeigeCube/nothing.mdl",
            posoffset=Vector(0, 0 ,0)
        }
    },
    ProjectedLight = {
        brightness = 0
    },
	Sounds={
		Door={
			enabled=false,
		},
	},
    Portal = {
        -- Generated by portals debug tool
        pos = Vector(0, 0, 0),
        ang = Angle(0, 0, 0),
        width = 0,
        height = 0,
        inverted = 0,
    },
}

TARDIS:AddExterior(E)


local E = {
    ID = "seige_cubebig",
    Base = "base",
    Name = "[FuzzyLeo] Medium Seige Cube",
    Category = "Legacy Exteriors",
    Model = "models/FuzzyLeo/SeigeCube/CubeBig.mdl",
    Mass=500,
    Fallback = {
        pos = Vector(43,0,1),
        ang = Angle(0,0,0)
    },
    DoorAnimationTime = 0.5,
    PhaseMaterial = "models/FuzzyLeo/SeigeCube/phasemat.vmt",
    Parts = {
        door = {
            model = "models/FuzzyLeo/SeigeCube/nothing.mdl",
            posoffset=Vector(0, 0 ,0)
        }
    },
    ProjectedLight = {
        brightness = 0
    },
	Sounds={
		Door={
			enabled=false,
		},
	},
    Portal = {
        -- Generated by portals debug tool
        pos = Vector(22, 0, 0),
        ang = Angle(0, 0, 0),
        width = 0,
        height = 0,
        inverted = 0,
    },
}

TARDIS:AddExterior(E)

local E = {
    ID = "seige_cubebigger",
    Base = "base",
    Name = "[FuzzyLeo] Large Seige Cube",
    Category = "Legacy Exteriors",
    Model = "models/FuzzyLeo/SeigeCube/CubeBigger.mdl",
    Mass=3000,
    Fallback = {
        pos = Vector(65,0,1),
        ang = Angle(0,0,0)
    },
    DoorAnimationTime = 0.5,
    PhaseMaterial = "models/FuzzyLeo/SeigeCube/phasemat.vmt",
    Parts = {
        door = {
            model = "models/FuzzyLeo/SeigeCube/nothing.mdl",
            posoffset=Vector(0, 0 ,0)
        }
    },
    ProjectedLight = {
        brightness = 0
    },
	Sounds={
		Door={
			enabled=false,
		},
	},
    Portal = {
        -- Generated by portals debug tool
        pos = Vector(48, 0, 0),
        ang = Angle(0, 0, 0),
        width = 0,
        height = 0,
        inverted = 0,
    },
}

TARDIS:AddExterior(E)